Delete a List of Page Group's User Assignments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments

Path parameters

  • profile_id string Required

    id of the profile

  • page_group_id number Required

    id of the page group

Query parameters

  • fields string

    extra information of each page assignment on the list

  • limit number

    maximum count of the page assignment list

  • offset number

    skip that many page assignment before beginning to return

application/json

Body

  • user_id number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • user_id number Required

      the deleted user id

DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments
curl \
 --request DELETE 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/page_groups/{page_group_id}/assignments' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"user_id":161239}'
Request examples
{
  "user_id": 161239
}
Response examples (200)
[
  {
    "user_id": 161239
  },
  {
    "user_id": 161242
  }
]